<?php
if ( ! function_exists( 'thim_get_all_plugins_require' ) ) {
	function thim_get_all_plugins_require( $plugins ) {
		$extra_plugin = $sp_lp3 = array();
		if ( apply_filters( 'thim_required_plugin_sp_lp3', false ) ) {
			$sp_lp3 = array(
				array(
					'name'       => 'Theme Coaching Layout LearnPress V3',
					'slug'       => 'coaching-learnpress-v3',
					'premium'    => true,
					'required'   => false,
					'no-install' => true,
				),
			);
		}
		$plugins = array(
			array(
				'name'        => 'Thim Our Team',
				'slug'        => 'thim-our-team',
				'premium'     => true,
				'required'    => false,
				'icon'        => 'https://plugins.thimpress.com/downloads/images/thim-our-team.png',
				'description' => 'A plugin that allows you to show off your team members. By ThimPress.',
			),
			array(
				'name'        => 'Thim Testimonials',
				'slug'        => 'thim-testimonials',
				'premium'     => true,
				'icon'        => 'https://plugins.thimpress.com/downloads/images/thim-testimonials.png',
				'required'    => false,
				'description' => 'A plugin that allows you to show off your testimonials. By ThimPress.',
			),
			array(
				'name'        => 'Revolution Slider',
				'slug'        => 'revslider',
				'premium'     => true,
				'required'    => false,
				'icon'        => 'https://plugins.thimpress.com/downloads/images/revslider.png',
				'description' => 'Slider Revolution � Premium responsive slider By ThemePunch.',
			),

			array(
				'name'        => 'Black Studio TinyMCE Widget',
				'slug'        => 'black-studio-tinymce-widget',
				'required'    => false,
				'no-install'  => true,
				'description' => 'Adds a new �Visual Editor� widget type based on the native WordPress TinyMCE editor. By Black Studio.',
			),
			array(
				'name'        => 'Contact Form 7',
				'slug'        => 'contact-form-7',
				'required'    => false,
				'description' => 'Just another contact form plugin. Simple but flexible. By Takayuki Miyoshi.',
			),
			array(
				'name'        => 'MailChimp for WordPress',
				'slug'        => 'mailchimp-for-wp',
				'required'    => false,
				'description' => 'MailChimp for WordPress by ibericode. Adds various highly effective sign-up methods to your site. By ibericode.',
			),
			array(
				'name'        => 'WooCommerce',
				'slug'        => 'woocommerce',
				'required'    => false,
				'description' => 'An e-commerce toolkit that helps you sell anything. Beautifully. By WooThemes.',
			),
			array(
				'name'        => 'bbPress',
				'slug'        => 'bbpress',
				'no-install'  => true,
				'required'    => false,
				'description' => 'bbPress is forum software with a twist from the creators of WordPress. By The bbPress Community.',
			),

			array(
				'name'        => 'Thim Portfolio',
				'slug'        => 'tp-portfolio',
				'premium'     => true,
				'required'    => false,
				'icon'        => 'https://plugins.thimpress.com/downloads/images/thim-portfolio.png',
				'description' => 'A plugin that allows you to show off your portfolio. By ThimPress.',
			),
			array(
				'name'        => 'Thim Twitter',
				'slug'        => 'thim-twitter',
				'icon'        => 'https://plugins.thimpress.com/downloads/images/thim-twitter.png',
				'premium'     => true,
				'required'    => false,
				'description' => 'Thim Twitter plugin helps you get feed on your account easily. By Thimpress.',
				'add-on'      => true,
			),

			array(
				'name'        => 'LearnPress',
				'slug'        => 'learnpress',
				'required'    => true,
				'description' => 'LearnPress is a WordPress complete solution for creating a Learning Management System (LMS). It can help you to create courses, lessons and quizzes. By ThimPress.',
			),
			array(
				'name'     => 'Certificates Add-On for LearnPress',
				'slug'     => 'learnpress-certificates',
				'premium'  => true,
				'required' => false,
				'icon'     => 'https://plugins.thimpress.com/downloads/images/lp-certificates.png',
				'add-on'   => true,
			),
			array(
				'name'     => 'Collections Add-On for LearnPress',
				'slug'     => 'learnpress-collections',
				'premium'  => true,
				'required' => false,
				'icon'     => 'https://plugins.thimpress.com/downloads/images/lp-collections.png',
				'add-on'   => true,
			),
			array(
				'name'     => 'Paid Memberships Pro Add-On for LearnPress',
				'slug'     => 'learnpress-paid-membership-pro',
				'premium'  => true,
				'required' => false,
				'icon'     => 'https://plugins.thimpress.com/downloads/images/lp-paid-membership.png',
				'add-on'   => true,
			),

			array(
				'name'     => 'Co-Instructors Add-On for LearnPress',
				'slug'     => 'learnpress-co-instructor',
				'premium'  => true,
				'required' => false,
				'icon'     => 'https://plugins.thimpress.com/downloads/images/lp-co-instructor.png',
				'add-on'   => true,
			),

			array(
				'name'     => 'LearnPress – Course Review',
				'slug'     => 'learnpress-course-review',
				'required' => false,
				'add-on'   => true,
			),
			array(
				'name'     => 'WooCommerce Add-On for LearnPress',
				'slug'     => 'learnpress-woo-payment',
				'icon'     => 'https://plugins.thimpress.com/downloads/images/lp-woocommerce.png',
				'premium'  => true,
				'required' => false,
				'add-on'   => true,
			),
			array(
				'name'     => 'Authorize.Net Add-On for LearnPress',
				'slug'     => 'learnpress-authorizenet-payment',
				'premium'  => true,
				'required' => false,
				'icon'     => 'https://plugins.thimpress.com/downloads/images/lp-authorizenet.png',
				'add-on'   => true,
			),

			array(
				'name'     => 'Coming Soon Add-On for LearnPress',
				'slug'     => 'learnpress-coming-soon-courses',
				'premium'  => true,
				'icon'     => 'https://plugins.thimpress.com/downloads/images/lp-coming-soon.png',
				'required' => false,
				'add-on'   => true,
			),

			array(
				'name'     => 'Commission Add-On for LearnPress',
				'slug'     => 'learnpress-commission',
				'premium'  => true,
				'required' => false,
				'icon'     => 'https://plugins.thimpress.com/downloads/images/lp-commission.png',
				'add-on'   => true,
			),

			array(
				'name'     => 'Content Drip Add-On for LearnPress',
				'slug'     => 'learnpress-content-drip',
				'premium'  => true,
				'icon'     => 'https://plugins.thimpress.com/downloads/images/lp-content-drip.png',
				'required' => false,
				'add-on'   => true,
			),

			array(
				'name'     => 'Gradebook Add-On for LearnPress',
				'slug'     => 'learnpress-gradebook',
				'premium'  => true,
				'required' => false,
				'icon'     => 'https://plugins.thimpress.com/downloads/images/lp-gradebook.png',
				'add-on'   => true,
			),

			array(
				'name'     => 'myCRED Add-On for LearnPress',
				'slug'     => 'learnpress-mycred',
				'icon'     => 'https://plugins.thimpress.com/downloads/images/lp-mycred.png',
				'premium'  => true,
				'required' => false,
				'add-on'   => true,
			),

			array(
				'name'     => 'Random Quiz Add-On for LearnPress',
				'slug'     => 'learnpress-random-quiz',
				'premium'  => true,
				'icon'     => 'https://plugins.thimpress.com/downloads/images/lp-random-quiz.png',
				'required' => false,
				'add-on'   => true,
			),

			array(
				'name'     => 'Stripe Add-On for LearnPress',
				'slug'     => 'learnpress-stripe',
				'premium'  => true,
				'required' => false,
				'icon'     => 'https://plugins.thimpress.com/downloads/images/lp-stripe.png',
				'add-on'   => true,
			),

			array(
				'name'     => 'Sorting Choice Add-On for LearnPress',
				'slug'     => 'learnpress-sorting-choice',
				'premium'  => true,
				'required' => false,
				'icon'     => 'https://plugins.thimpress.com/downloads/images/lp-sorting-choice.png',
				'add-on'   => true,
			),

			array(
				'name'     => 'Student List Add-On for LearnPress',
				'slug'     => 'learnpress-students-list',
				'premium'  => true,
				'required' => false,
				'icon'     => 'https://plugins.thimpress.com/downloads/images/lp-students-list.png',
				'add-on'   => true,
			),

			array(
				'name'     => 'LearnPress – Course Wishlist',
				'slug'     => 'learnpress-wishlist',
				'required' => false,
				'add-on'   => true,
			),

			array(
				'name'     => 'LearnPress – bbPress Integration',
				'slug'     => 'learnpress-bbpress',
				'required' => false,
				'add-on'   => true,
			),
			array(
				'name'     => 'LearnPress – BuddyPress Integration',
				'slug'     => 'learnpress-buddypress',
				'required' => false,
				'add-on'   => true,
			),
			array(
				'name'     => '2Checkout Add-On for LearnPress',
				'slug'     => 'learnpress-2checkout-payment',
				'premium'  => true,
				'icon'     => 'https://plugins.thimpress.com/downloads/images/lp-2checkout.png',
				'required' => false,
				'add-on'   => true,
			),
			array(
				'name'     => 'LearnPress – Prerequisites Courses',
				'slug'     => 'learnpress-prerequisites-courses',
				'required' => false,
				'add-on'   => true,
			),
			array(
				'name'     => 'LearnPress – Export Import',
				'slug'     => 'learnpress-import-export',
				'required' => false,
				'add-on'   => true,
			),
			array(
				'name'        => 'WP Events Manager',
				'slug'        => 'wp-events-manager',
				'required'    => false,
				'description' => 'WP Events Manager is a powerful Events Manager plugin with all of the most important features of an Event Website.',
			),

			array(
				'name'        => 'WP Events Manager - WooCommerce Payment ',
				'slug'        => 'wp-events-manager-woo-payment',
				'required'    => false,
				'premium'     => true,
				'icon'        => 'https://ps.w.org/wp-events-manager-woocommerce-payment-methods-integration/assets/icon-128x128.png',
				'description' => 'Support paying for a booking with the payment methods provided by Woocommerce',
				'add-on'      => true,
			),

			array(
				'name'        => 'Pricing Table Plus',
				'slug'        => 'pricing-table-plus',
				'required'    => false,
				'premium'     => true,
				'no-install'  => true,
				'description' => 'Generate Pricing Table Plus in the easitest and dynamic way',
			),

			array(
				'name'        => 'Instagram Feed',
				'slug'        => 'instagram-feed',
				'required'    => false,
				'description' => 'Display beautifully clean, customizable, and responsive Instagram feeds By Smash Balloon.',
				'add-on'      => true,
			),

			array(
				'name'        => 'Paid Memberships Pro',
				'slug'        => 'paid-memberships-pro',
				'required'    => false,
				'no-install'  => true,
				'description' => 'A revenue-generating machine for membership sites. Unlimited levels with recurring payment, protected content and member management.',
			),

			array(
				'name'        => 'WPBakery',
				'slug'        => 'js_composer',
				'premium'     => true,
				'required'    => false,
				'no-install'  => true,
				'icon'        => 'https://s3.envato.com/files/260579516/wpb-logo.png',
				'description' => 'Drag and drop page builder for WordPress. Take full control over your WordPress site, build any layout you can imagine – no programming knowledge required. By Michael M - WPBakery.com.'
			),
			array(
				'name'       => 'HubSpot – CRM, Email Marketing, Live Chat, Forms & Analytics',
				'slug'       => 'leadin',
				'required'   => false,
				'no-install' => true,
			),
		);

		if ( apply_filters( 'thim-importer-demo-so', false ) || get_theme_mod( 'thim_page_builder_chosen' ) == 'site_origin' ) {
			// support importer with
			$extra_plugin = array(
				array(
					'name'        => 'SiteOrigin Page Builder',
					'slug'        => 'siteorigin-panels',
					'required'    => false,
					'description' => 'A drag and drop, responsive page builder that simplifies building your website. By SiteOrigin.',
				),
				array(
					'name'     => 'Classic Editor',
					'slug'     => 'classic-editor',
					'required' => false,
				),
			);
		} else {
			$extra_plugin = array(
				array(
					'name'        => 'Elementor Page Builder',
					'slug'        => 'elementor',
					'required'    => false,
					//'version'     => '2.4.5',
					'description' => 'The most advanced frontend drag & drop page builder. Create high-end, pixel perfect websites at record speeds. Any theme, any page, any design.',
				),
				array(
					'name'       => 'Thim Elementor Kit',
					'slug'       => 'thim-elementor-kit',
					// 'premium'     => true,
					'no-install' => true,
					'required'   => false,
				),
			);
		}

		return array_merge( $sp_lp3, $plugins, $extra_plugin );
	}
}
add_filter( 'thim_core_get_all_plugins_require', 'thim_get_all_plugins_require' );